Subject: linux-next: manual merge of the char-misc.current tree with the mm-hotfixes tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 19 Aug 2022 08:28:18 +1000

Hi all,

Today's linux-next merge of the char-misc.current tree got a conflict in:

  drivers/android/binder_alloc.c

between commit:

  b3bb668f3dc6 ("binder_alloc: add missing mmap_lock calls when using the VMA")

from the mm-hotfixes tree and commit:

  d6f35446d076 ("binder_alloc: Add missing mmap_lock calls when using the VMA")

from the char-misc.current tree.

I fixed it up (I used the latter as it was committed later even though
the author times were the same) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell